package egovframework.service.mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import egovframework.rte.psl.dataaccess.mapper.Mapper;
import egovframework.vo.VdsStatsVO;

@Mapper
public interface TrafficStatsMapper {
	
    List<Map<String, Object>> getVertexHistoryByRoadText(Map<String, Object> paramMap);

    List<Map<String, Object>> getAtrdNm();

    List<Map<String, Object>> getVdsCtlrList();

    List<VdsStatsVO> getVdsStatsInfo(HashMap<String, String> paramMap);

}
